<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Novic - Autores</title>
    {% load static %}{% load mis_tags %}
    <link rel="shortcut icon" type="image/png" href="{% static 'media/favicon.ico' %}" />


    <link rel="stylesheet" href="{% static 'css/estilos.css' %}">
    <link rel="stylesheet" href="{% static 'css/fonticons.css' %}">
    <link rel="stylesheet" href="{% static 'css/login.css' %}">



    <link rel="stylesheet" href="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.2/jquery-ui.min.js"></script>

    <script src="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>




    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </link>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
        crossorigin="anonymous">
    </link>

    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
    <link rel="stylesheet"
        href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
    </link>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/js/bootstrap-select.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
    <style>
        @import url('https://fonts.googleapis.com/css?family=Nunito&display=swap');
    </style>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/tiny-slider/2.9.2/min/tiny-slider.js"></script>
    <script>
        $(document).ready(function () {
            $('.navmain').removeClass('fixed-top')
            $('.navmain').addClass('navbar-dark');
            $('ul.pagination li a').on('click', pagclick);
        });
        function pagclick(evt) {
            evt.preventDefault();
            var tag = $(this);
            var act = tag.closest('ul.pagination').find('li.active')
            act.removeClass('active');
            tag.parent('li').addClass('active');
            var tabcont = tag.closest('.tab-pane');
            var pnum = tag.text();
            var albl = tag.attr('aria-label')
            if (albl == 'Previous') {
                var l = act.find('a');
                var actnum = l.text();
                pnum = parseInt(actnum) - 1;
                if (pnum < 1) return;
            }
            if (albl == 'Next') {
                var l = act.find('a');
                var actnum = l.text();
                pnum = parseInt(actnum) + 1;
            }
            // alert(" click on "+tag.text());
            var _d = {
                page: tag.text()
            }
            var csrftoken = Cookies.get('csrftoken');
            $.ajax({
                url: '/autores_pag_ajax/',
                beforeSend: function (request) {
                    request.setRequestHeader("X-CSRFToken", csrftoken);
                },
                type: 'POST',
                contentType: 'application/json; charset=utf-8',
                data: JSON.stringify(_d),
                dataType: 'text',
                success: function (result) {
                    //alert(result);

                    tabcont.find(".container").html(result)
                }
            });
        }
    </script>
</head>

<body>

    {% include "core/navbar.html" %}
    <div class="bibcont">
        <ul class="nav nav-tabs ">
            <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#todos">Todos</a></li>
            <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#recientes">Recientes</a></li>
            <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#pops">Populares</a></li>


        </ul>
    </div>
    <div class="tab-content bibcont h-75 ">
        <div id="todos" class="tab-pane active h-100 ">
            <nav aria-label="paginup" class="nav-pag">
                <ul class="pagination justify-content-end mr-5">

                    <li class="page-item disabled">
                        <a class="page-link" href="#" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only">Previous</span>
                        </a>
                    </li>
                    {% for p in autPags.page_range %}

                    <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
                    </li>
                    {% endfor %}

                    <li class="page-item {% if autPags.num_pages == 1 %}disabled{% endif %}">
                        <a class="page-link  " href="#" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </a>
                    </li>
                </ul>
            </nav>
            <div class="container ">

                <div class="grid">
                    {% for c in autores %}
                    <div class="text-center">
                        <a href="{% url 'perfil_usuario' c.id %}">
                            <img class="autor rounded-circle" src="{{c.imagen_usuario.url}}">
                            <br />
                            <label class="cname" for="">{{  c.usuario.username}}</label>
                            <label class="autname" for="">{{ c.pais}}</label>


                        </a>
                    </div>
                    {% endfor %}
                </div>

            </div>
            <nav aria-label="pagindown" class="align-bottom nav-pag">
                <ul class="pagination justify-content-end mr-5">

                    <li class="page-item disabled">
                        <a class="page-link" href="#" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only">Previous</span>
                        </a>
                    </li>
                    {% for p in autPags.page_range %}

                    <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
                    </li>
                    {% endfor %}

                    <li class="page-item {% if autPags.num_pages == 1 %}disabled{% endif %}">
                        <a class="page-link  " href="#" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
        <div id="recientes" class=" tab-pane fade in h-100">
            <nav aria-label="paginup" class="nav-pag">
                <ul class="pagination justify-content-end mr-5">

                    <li class="page-item disabled">
                        <a class="page-link" href="#" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only">Previous</span>
                        </a>
                    </li>
                    {% for p in recPags.page_range %}

                    <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
                    </li>
                    {% endfor %}

                    <li class="page-item {% if recPags.num_pages == 1 %}disabled{% endif %}">
                        <a class="page-link  " href="#" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </a>
                    </li>
                </ul>
            </nav>
            <div class="container ">

                <div class="grid">
                    {% for c in autores_reciente %}
                    <div class="text-center">
                        <a href="{% url 'perfil_usuario' c.id %}">
                            <img class="autor rounded-circle" src="{{c.imagen_usuario.url}}">
                            <br />
                            <label class="cname" for="">{{  c.usuario.username}}</label>
                            <label class="autname" for="">{{ c.pais}}</label>


                        </a>
                    </div>
                    {% endfor %}
                </div>

            </div>
            <nav aria-label="pagindown" class="align-bottom nav-pag">
                <ul class="pagination justify-content-end mr-5">

                    <li class="page-item disabled">
                        <a class="page-link" href="#" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only">Previous</span>
                        </a>
                    </li>
                    {% for p in recPags.page_range %}

                    <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
                    </li>
                    {% endfor %}

                    <li class="page-item {% if recPags.num_pages == 1 %}disabled{% endif %}">
                        <a class="page-link  " href="#" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
        <div id="pops" class=" tab-pane fade in h-100">
            <nav aria-label="paginup" class="nav-pag">
                <ul class="pagination justify-content-end mr-5">

                    <li class="page-item disabled">
                        <a class="page-link" href="#" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only">Previous</span>
                        </a>
                    </li>
                    {% for p in popPags.page_range %}

                    <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
                    </li>
                    {% endfor %}

                    <li class="page-item {% if popPags.num_pages == 1 %}disabled{% endif %}">
                        <a class="page-link  " href="#" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </a>
                    </li>
                </ul>
            </nav>
            <div class="container ">

                <div class="grid">
                    {% for c in autores_popular %}
                    <div class="text-center">
                        <a href="{% url 'perfil_usuario' c.id %}">
                            <img class="autor rounded-circle" src="{{c.imagen_usuario.url}}">
                            <br />
                            <label class="cname" for="">{{  c.usuario.username}}</label>
                            <label class="autname" for="">{{ c.pais}}</label>


                        </a>
                    </div>
                    {% endfor %}
                </div>

            </div>
            <nav aria-label="pagindown" class="align-bottom nav-pag">
                <ul class="pagination justify-content-end mr-5">

                    <li class="page-item disabled">
                        <a class="page-link" href="#" aria-label="Previous">
                            <span aria-hidden="true">&laquo;</span>
                            <span class="sr-only">Previous</span>
                        </a>
                    </li>
                    {% for p in popPags.page_range %}

                    <li class="page-item {% if p == 1 %}active{% endif %}"><a class="page-link" href="#">{{ p }}</a>
                    </li>
                    {% endfor %}

                    <li class="page-item {% if popPags.num_pages == 1 %}disabled{% endif %}">
                        <a class="page-link  " href="#" aria-label="Next">
                            <span aria-hidden="true">&raquo;</span>
                            <span class="sr-only">Next</span>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
   

</body>

</html>